﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace DecryptFile
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private string _Filename = "";
        private string _FileContent = "";



        private void button1_Click(object sender, EventArgs e)
        {
            if (_Filename.Length == 0)
            {
                MessageBox.Show("You need to open a file first.");
                return;
            }

            frmPassword dlg = new frmPassword();

            DialogResult result = dlg.ShowDialog(this);

            if (result == DialogResult.OK)
            {
                _FileContent = DataEncryption.DecryptString(_FileContent, dlg.Password);
                txtContent.Text = _FileContent;
            }
        }



        private void cmdEncrypt_Click(object sender, EventArgs e)
        {
            if (_Filename.Length == 0)
            {
                MessageBox.Show("You need to open a file first.");
                return;
            }

            frmPassword dlg = new frmPassword();

            DialogResult result = dlg.ShowDialog(this);

            if (result == DialogResult.OK)
            {
                _FileContent = DataEncryption.EncryptString(_FileContent, dlg.Password);
                txtContent.Text = _FileContent;
            }
        }

        private void cmdOpen_Click(object sender, EventArgs e)
        {
            OpenFileDialog dlg = new OpenFileDialog();
            dlg.Filter = "All files (*.*)|*.*";
            dlg.Title = "Select file...";

            DialogResult result = dlg.ShowDialog();

            if (result == DialogResult.OK)
            {
                _Filename = dlg.FileName;
                _FileContent = System.IO.File.ReadAllText(_Filename);
            }
        }

   
    }
}
